View Issue Details

IDProjectCategoryView StatusLast Update
0000121ascendbuild-systempublic2008-02-10 13:03
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000121: Default environment variables should be set in base/generic, not tcltk98/generic
DescriptionDefault environment variables should be set in base/generic, not tcltk98/generic. This is because writing a an alternative interface requires duplication of these defaults, however the variables are used within the base/generic code.
TagsNo tags attached.

Relationships

has duplicate 0000120 closedjohn Unhelpful error message when ASCENDLIBRARY env var missing 

Activities

john

2006-05-24 05:45

administrator   ~0000348

This has been resolved by the addition of new configuration options in the SCons build plus the ospath.c and env.c functionality. Tcl/Tk interface's 'Driver.c' was updated a lot too. Fixed around changeset 700.

Issue History

Date Modified Username Field Change
2005-11-02 11:45 john New Issue
2005-11-02 11:46 john Relationship added has duplicate 0000120
2006-02-07 13:19 john Target release => 1.0
2006-02-07 13:23 john Target release 1.0 => 0.9.6
2006-05-24 05:43 john Status new => assigned
2006-05-24 05:43 john Assigned To => john
2006-05-24 05:45 john Status assigned => resolved
2006-05-24 05:45 john Resolution open => fixed
2006-05-24 05:45 john Note Added: 0000348
2006-06-22 07:17 john Fixed in Version => 0.9.6
2008-02-10 13:03 john Status resolved => closed